<template>
    <tr data-details-id={{details.id}}>
        <input type="hidden" name="id" class="form-control" :value="details.id">
        <th scope="row">{{index + 1}}</th>
        <td>{{details.type}}</td>
        <td>{{details.name}}</td>
        <td>{{luxonDate.toLocaleString()}}</td>
        <td>
            <router-link :to="{name: 'budget-details', params: {detailsId: details.id}}"
                class="btn btn-sm btn-default"
                tag="button">
                Подробнее
                <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-info-square" viewBox="0 0 16 16">
                    <path fill-rule="evenodd" d="M14 1H2a1 1 0 0 0-1 1v12a1 1 0 0 0 1 1h12a1 1 0 0 0 1-1V2a1 1 0 0 0-1-1zM2 0a2 2 0 0 0-2 2v12a2 2 0 0 0 2 2h12a2 2 0 0 0 2-2V2a2 2 0 0 0-2-2H2z"/>
                    <path fill-rule="evenodd" d="M14 1H2a1 1 0 0 0-1 1v12a1 1 0 0 0 1 1h12a1 1 0 0 0 1-1V2a1 1 0 0 0-1-1zM2 0a2 2 0 0 0-2 2v12a2 2 0 0 0 2 2h12a2 2 0 0 0 2-2V2a2 2 0 0 0-2-2H2z"/>
                    <path d="M8.93 6.588l-2.29.287-.082.38.45.083c.294.07.352.176.288.469l-.738 3.468c-.194.897.105 1.319.808 1.319.545 0 1.178-.252 1.465-.598l.088-.416c-.2.176-.492.246-.686.246-.275 0-.375-.193-.304-.533L8.93 6.588z"/>
                    <circle cx="8" cy="4.5" r="1"/>
                </svg>
            </router-link>
        </td>
    </tr>
</template>

<script>
    import { DateTime } from "luxon";

    export default {
        name: 'BudgetDetailsRow',
        props: {
            details: Object,
            index: Number
        },
        computed: {
            luxonDate: function() {
                return DateTime.fromISO(this.details.date);
            }
        },
    };
</script>